<?php

class clj {
static public function send_mail($result, $mailto, $subject, $content, $headers, $args) { 

$ret =clj_send_mail($result, $mailto, $subject, $content, $headers, $args);

if($ret=="") return true ;
return true ;

//
return false; // envoie
return true ; // pas d'envoie
}
/************************************
*
*************************************/
static public function send_mail_to( $to){
 

 
return $to;
}
/************************************
*
*************************************/
static public function send_mail_subject($cvt_subject){

return $cvt_subject;
}
/************************************
*
*************************************/
static public function send_mail_content($content){

return $content;
}
/************************************
*
*************************************/
static public function send_mail_headers($headers_init){

 

return $headers_init;
}

/*
 * sends an email, using Piwigo specific informations
 *
 * @param:
 *   - to: receiver(s) of the mail (list separated by comma).
 *   - args: function params of mail function:
 *       o from: sender [default value webmaster email]
 *       o Cc: array of carbon copy receivers of the mail. [default value empty]
 *       o Bcc: array of blind carbon copy receivers of the mail. [default value empty]
 *       o subject  [default value 'Piwigo']
 *       o content: content of mail    [default value '']
 *       o content_format: format of mail content  [default value 'text/plain']
 *       o email_format: global mail format  [default value $conf_mail['default_email_format']]
 *       o theme: template to use [default get_default_theme()]
 *
 * @return boolean (Ok or not)
 * pour mise au point .
 */
function cl_pwg_mail($to, $args = array()){
  global $conf, $conf_mail, $lang_info, $page;
  if (empty($to) and empty($args['Cc']) and empty($args['Bcc'])) {
    return true;
  }
  if (!isset($conf_mail))  {
    $conf_mail = get_mail_configuration();
  }
  if (empty($args['email_format'])) {
    $args['email_format'] = $conf_mail['default_email_format'];
  }
  // Compute root_path in order have complete path
  set_make_full_url();
  if (empty($args['from']))  {
    $args['from'] = $conf_mail['formated_email_webmaster'];
  }  else  {
    $args['from'] = format_email('', $args['from']);
  }
  if (empty($args['subject']))  {
    $args['subject'] = 'Piwigo';
  }
  // Spring cleaning
  $cvt_subject = trim(preg_replace('#[\n\r]+#s', '', $args['subject']));
  // Ascii convertion
  $cvt_subject = encode_mime_header($cvt_subject);

  if (!isset($args['content']))  {
    $args['content'] = '';
  }

  if (empty($args['content_format']))  {
    $args['content_format'] = 'text/plain';
  }

  if ($conf_mail['send_bcc_mail_webmaster'])  {
    $args['Bcc'][] = $conf_mail['formated_email_webmaster'];
  }

  if (empty($args['theme']))  {
    $args['theme'] = get_default_theme();
  }

  $headers = 'From: '.$args['from']."\n";
  $headers.= 'Reply-To: '.$args['from']."\n";

  if (!empty($args['Cc']))  {
    $headers.= 'Cc: '.implode(',', $args['Cc'])."\n";
  }

  if (!empty($args['Bcc']))  {
    $headers.= 'Bcc: '.implode(',', $args['Bcc'])."\n";
  }

  $headers.= 'Content-Type: multipart/alternative;'."\n";
  $headers.= '  boundary="---='.$conf_mail['boundary_key'].'";'."\n";
  $headers.= '  reply-type=original'."\n";
  $headers.= 'MIME-Version: 1.0'."\n";
  $headers.= 'X-Mailer: Piwigo Mailer'."\n";

  // List on content-type
  $content_type_list[] = $args['email_format'];
  if (!empty($conf_mail['alternative_email_format']))  {
    $content_type_list[] = $conf_mail['alternative_email_format'];
  }

  $content = '';

  foreach (array_unique($content_type_list) as $content_type)  {
    // key compose of indexes witch allow ti cache mail data
    $cache_key = $content_type.'-'.$lang_info['code'].'-'.$args['theme'];

    if (!isset($conf_mail[$cache_key]))    {
      if (!isset($conf_mail[$cache_key]['theme']))      {
        $conf_mail[$cache_key]['theme'] = get_mail_template($content_type, $args['theme']);
      }

      $conf_mail[$cache_key]['theme']->set_filename('mail_header', 'header.tpl');
      $conf_mail[$cache_key]['theme']->set_filename('mail_footer', 'footer.tpl');

      $conf_mail[$cache_key]['theme']->assign(
        array(
          //Header
          'BOUNDARY_KEY' => $conf_mail['boundary_key'],
          'CONTENT_TYPE' => $content_type,
          'CONTENT_ENCODING' => get_pwg_charset(),

          // Footer
          'GALLERY_URL' => get_gallery_home_url(),
          'GALLERY_TITLE' =>
            isset($page['gallery_title']) ?
                  $page['gallery_title'] : $conf['gallery_title'],
          'VERSION' => $conf['show_version'] ? PHPWG_VERSION : '',
          'PHPWG_URL' => PHPWG_URL,

          'TITLE_MAIL' => urlencode(l10n('A comment on your site')),
          'MAIL' => get_webmaster_mail_address()
          ));

      if ($content_type == 'text/html')     {
        if ($conf_mail[$cache_key]['theme']->smarty->template_exists('global-mail-css.tpl'))
        {
          $conf_mail[$cache_key]['theme']->set_filename('css', 'global-mail-css.tpl');
          $conf_mail[$cache_key]['theme']->assign_var_from_handle('GLOBAL_MAIL_CSS', 'css');
        }

        $file = PHPWG_ROOT_PATH.'themes/'.$args['theme'].'/mail-css.tpl';
        if (is_file($file))   {
          $conf_mail[$cache_key]['theme']->set_filename('css', realpath($file));
          $conf_mail[$cache_key]['theme']->assign_var_from_handle('MAIL_CSS', 'css');
        }
      }

      // what are displayed on the header of each mail ?
      $conf_mail[$cache_key]['header'] =
        $conf_mail[$cache_key]['theme']->parse('mail_header', true);

      // what are displayed on the footer of each mail ?
      $conf_mail[$cache_key]['footer'] =
        $conf_mail[$cache_key]['theme']->parse('mail_footer', true);
    }

    // Header
    $content.= $conf_mail[$cache_key]['header'];

    // Content
    if (($args['content_format'] == 'text/plain') and ($content_type == 'text/html'))    {
      $content.= '<p>'.
                  nl2br(
                    preg_replace("/(http:\/\/)([^\s,]*)/i",
                                 "<a href='$1$2' class='thumblnk'>$1$2</a>",
                                 htmlspecialchars($args['content']))).
                  '</p>';
    }
    else if (($args['content_format'] == 'text/html') and ($content_type == 'text/plain'))
    {
      // convert html text to plain text
      $content.= strip_tags($args['content']);
    }    else    {
      $content.= $args['content'];
    }

    // Footer
    $content.= $conf_mail[$cache_key]['footer'];

  // Close boundary
  $content.= "\n".'-----='.$conf_mail['boundary_key'].'--'."\n";
  }

  //~ // Close boundary
  //~ $content.= "\n".'-----='.$conf_mail['boundary_key'].'--'."\n";

   // Undo Compute root_path in order have complete path
  unset_make_full_url();

  return
    trigger_event('send_mail',
      false, /* Result */
      trigger_event('send_mail_to', get_strict_email_list($to)),
      trigger_event('send_mail_subject', $cvt_subject),
      trigger_event('send_mail_content', $content),
      trigger_event('send_mail_headers', $headers),
      $args
    );
}
       
 
 }
?>